<!doctype html>
<html lang="en-US">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" href="/favicon.ico" sizes="32x32">
  <link rel="apple-touch-icon" href="/apple-touch-icon.png">
  <style>
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
  {%- include "styles.css" -%}
  {%- include "cv_styles.css" -%}
  {%- include "print.css" -%}
  </style>

  <script>
  (function() {
    const savedTheme = localStorage.getItem('theme');
    if (savedTheme) {
      document.documentElement.setAttribute('data-theme', savedTheme);
    } else {
      document.documentElement.setAttribute('data-theme', 'light');
    }
  })();
  </script>

  <script type="module" src="/assets/video-with-transparency.js"></script>

  {% if scripts %}
    {% for s in scripts %}
      <script type="module" src="{{ s.src }}"></script>
    {% endfor %}
  {% endif %}

  <title>{{ title }}</title>

</head>
<body>

  <script>

    const icons = {
      dark: `<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-moon"><path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path></svg>`,
      light: `<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sun"><circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line></svg>`
    };

    const button = document.getElementById("darkModeToggle");

    function updateIcon() {
      const theme = document.documentElement.getAttribute("data-theme");
      // Replace existing icon if any
      const existingIcon = button.querySelector("svg");
      if (existingIcon) existingIcon.remove();

      // Insert the new icon
      button.insertAdjacentHTML("afterbegin", icons[theme]);
    }

    updateIcon();

    document.getElementById("darkModeToggle").addEventListener("click", function() {
      document.documentElement.classList.add('color-theme-in-transition')
      const current = document.documentElement.getAttribute('data-theme');
      const next = current === 'dark' ? 'light' : 'dark';
      document.documentElement.setAttribute('data-theme', next);
      localStorage.setItem('theme', next);
      updateIcon();
      window.setTimeout(function() {
        document.documentElement.classList.remove('color-theme-in-transition')
      }, 500)
    });


  </script>

  <main>
    {{ content }}
  </main>
</body>
</html>